List content feed posts through the nested alias.
curl --request GET \
--url https://api.traxy.ai/api/v1/customer/content/feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxy.ai/api/v1/customer/content/feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxy.ai/api/v1/customer/content/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.traxy.ai/api/v1/customer/content/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.traxy.ai/api/v1/customer/content/feed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.traxy.ai/api/v1/customer/content/feed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.traxy.ai/api/v1/customer/content/feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"page": {
"limit": 123,
"nextCursor": "<string>",
"cursor": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}Content and accounts
List content feed posts through the nested alias.
GET
/
customer
/
content
/
feed
List content feed posts through the nested alias.
curl --request GET \
--url https://api.traxy.ai/api/v1/customer/content/feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxy.ai/api/v1/customer/content/feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxy.ai/api/v1/customer/content/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.traxy.ai/api/v1/customer/content/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.traxy.ai/api/v1/customer/content/feed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.traxy.ai/api/v1/customer/content/feed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.traxy.ai/api/v1/customer/content/feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"page": {
"limit": 123,
"nextCursor": "<string>",
"cursor": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}Authorizations
API key created from Integrations > API & MCP > API keys. Used for Customer REST and Ordinal Audience Analytics, not MCP OAuth.
Query Parameters
Number of items to return. The default is 50 and the maximum is 100.
Required range:
1 <= x <= 100Opaque cursor returned in page.nextCursor. Pass it unchanged with the same filters and sort. Incompatible cursors return validation_failed.
Maximum string length:
256Comma-separated monitored profile IDs. Accepts up to 50 IDs.
Available options:
TEAMMATE, COMPETITOR, INFLUENCER, INVESTOR, CUSTOM, TARGET_ACCOUNT, CUSTOMER, PARTNER Required string length:
1 - 80Available options:
MEMBER_ONBOARDING, MANUAL_WATCHLIST Inclusive start of the date range.
Inclusive end of the date range.
Required range:
0 <= x <= 100Available options:
any, qualified, unqualified Required string length:
1 - 160Available options:
date, engagement, reactions, comments, reposts Available options:
asc, desc Was this page helpful?